Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.modca
Class StreamedResourceGroup

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.modca.AbstractStructuredObject
              org.apache.fop.afp.modca.AbstractTripletStructuredObject
                  org.apache.fop.afp.modca.AbstractNamedAFPObject
                      org.apache.fop.afp.modca.ResourceGroup
                          org.apache.fop.afp.modca.StreamedResourceGroup

All Implemented Interfaces:
  Completable, Streamable

    public class StreamedResourceGroup

extends ResourceGroup
implements Completable

A print-file resource group

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary

Fields inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject
`name`

Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`triplets`

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`StreamedResourceGroup(java.lang.String name, java.io.OutputStream os)` Main constructor

Method Summary
`void` | `addObject(AbstractNamedAFPObject namedObject)` Adds a resource to the external resource group
`void` | `close()` Closes this external resource group file
`java.io.OutputStream` | `getOutputStream()` Returns the outputstream
`boolean` | `isComplete()` Returns true if this object is complete
`void` | `setComplete(boolean complete)` Sets whether or not this object is complete or not

Methods inherited from class org.apache.fop.afp.modca.ResourceGroup
`getResourceCount, resourceExists, toString, writeContent, writeEnd, writeStart`

Methods inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject
`copySF, getName, getNameBytes, getNameLength, setName`

Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setFullyQualifiedName, setObjectClassification, writeTriplets`

Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject
`writeToStream`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamedResourceGroup

    public StreamedResourceGroup(java.lang.String name,
                                 java.io.OutputStream os)

  Main constructor

  Parameters:
    `name` - the resource group name
    `os` - the outputstream

Method Detail

### addObject

    public void addObject(AbstractNamedAFPObject namedObject)
                   throws java.io.IOException

  Adds a resource to the external resource group

  Overrides:
    `addObject` in class `ResourceGroup`
  Parameters:
    `namedObject` - a named object
  Throws:
    `java.io.IOException` - thrown if an I/O exception of some sort has occurred.

### close

    public void close()
               throws java.io.IOException

  Closes this external resource group file

  Throws:
    `java.io.IOException` - thrown if an I/O exception of some sort has occurred.

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Returns the outputstream

  Returns:
    the outputstream

### setComplete

    public void setComplete(boolean complete)

  Sets whether or not this object is complete or not

  Specified by:
    `setComplete` in interface `Completable`
  Parameters:
    `complete` - true if this object is complete

### isComplete

    public boolean isComplete()

  Returns true if this object is complete

  Specified by:
    `isComplete` in interface `Completable`
  Returns:
    true if this object is complete

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.